unit UnitPontosAlarme;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, StdCtrls,
  ExtCtrls, RxCombos, ShockwaveFlashObjects_TLB, ShockwaveEx;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    ShockwaveFlashEx1: TShockwaveFlashEx;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    ColorComboBox9: TColorComboBox;
    CheckBox18: TCheckBox;
    Label4: TLabel;
    CheckBox9: TCheckBox;
    Edit1: TEdit;
    Label5: TLabel;
    Edit4: TEdit;
    Button2: TButton;
    Label6: TLabel;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Edit6: TEdit;
    Button4: TButton;
    GroupBox3: TGroupBox;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Edit5: TEdit;
    Button5: TButton;
    CheckBox19: TCheckBox;
    ColorComboBox1: TColorComboBox;
    Edit7: TEdit;
    CheckBox6: TCheckBox;
    CheckBox20: TCheckBox;
    ColorComboBox11: TColorComboBox;
    Edit3: TEdit;
    CheckBox10: TCheckBox;
    Label2: TLabel;
    Edit10: TEdit;
    Label3: TLabel;
    Edit9: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Label13: TLabel;
    Edit8: TEdit;
    Label14: TLabel;
    Edit11: TEdit;
    Label15: TLabel;
    Edit12: TEdit;
    Button1: TButton;
    Button3: TButton;
    Button6: TButton;
    CheckBox3: TCheckBox;
    CheckBox2: TCheckBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ShockwaveFlashEx1FSCommand(Sender: TObject; const command,
      args: WideString);
    procedure Edit1KeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Edit2KeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Edit3KeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Button1Click(Sender: TObject);
    procedure ColorComboBox9Change(Sender: TObject);
    procedure ColorComboBox11Change(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure CheckBox18Click(Sender: TObject);
    procedure CheckBox19Click(Sender: TObject);
    procedure CheckBox20Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure ColorComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
 if CheckBox1.Checked then
  begin
   ShockwaveFlashEx1.SetVariable('PC01', StringToOleStr('A1-1'));
   ShockwaveFlashEx1.SetVariable('PC1.Hint1.Data', TimeToStr(Now));
   ShockwaveFlashEx1.SetVariable('CorSPC1', IntToStr(16711680));
  end
 else
  begin
   ShockwaveFlashEx1.SetVariable('PC01', StringToOleStr('A1-0'));
   ShockwaveFlashEx1.SetVariable('CorSPC1', IntToStr(12632256));
  end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
 if CheckBox2.Checked then
  begin
   ShockwaveFlashEx1.SetVariable('PC02', StringToOleStr('A2-1'));
   ShockwaveFlashEx1.SetVariable('PC2.Hint2.Data', TimeToStr(Now));
   ShockwaveFlashEx1.SetVariable('CorSPC2', IntToStr(16711680));
  end
 else
  begin
   ShockwaveFlashEx1.SetVariable('PC02', StringToOleStr('A2-0'));
   ShockwaveFlashEx1.SetVariable('CorSPC2', IntToStr(12632256));
  end;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
 if CheckBox3.Checked then
  begin
   ShockwaveFlashEx1.SetVariable('PC03', StringToOleStr('A3-1'));
   ShockwaveFlashEx1.SetVariable('PC3.Hint3.Data', TimeToStr(Now));
   ShockwaveFlashEx1.SetVariable('CorSPC3', IntToStr(16711680));
  end
 else
  begin
   ShockwaveFlashEx1.SetVariable('PC03', StringToOleStr('A3-0'));
   ShockwaveFlashEx1.SetVariable('CorSPC3', IntToStr(12632256));
  end; 
end;

procedure TForm1.FormShow(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('PC01', StringToOleStr('A1-0'));
 ShockwaveFlashEx1.SetVariable('PC02', StringToOleStr('A2-0'));
 ShockwaveFlashEx1.SetVariable('PC03', StringToOleStr('A3-0'));

 ShockwaveFlashEx1.SetVariable('COD1', StringToOleStr(Edit1.Text));
 ShockwaveFlashEx1.SetVariable('COD2', StringToOleStr(Edit7.Text));
 ShockwaveFlashEx1.SetVariable('COD3', StringToOleStr(Edit3.Text));

 ShockwaveFlashEx1.SetVariable('CorSPC1', IntToStr(ColorComboBox9.ColorValue));
 ShockwaveFlashEx1.SetVariable('CorSPC2', IntToStr(ColorComboBox1.ColorValue));
 ShockwaveFlashEx1.SetVariable('CorSPC3', IntToStr(ColorComboBox11.ColorValue));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 ShockwaveFlashEx1.Movie := extractfiledir(application.Exename) + '\PontosAlarme.swf';
end;

procedure TForm1.ShockwaveFlashEx1FSCommand(Sender: TObject; const command,
  args: WideString);
begin
 if command = 'PC1' then
  begin
   Edit4.Text := command;
   CheckBox9.Checked := not CheckBox9.Checked;
  end;
 if command = 'PC2' then
  begin
   Edit5.Text := command;
   CheckBox6.Checked := not CheckBox6.Checked;
  end;
 if command = 'PC3' then
  begin
   Edit6.Text := command;
   CheckBox10.Checked := not CheckBox10.Checked;
  end;
end;

procedure TForm1.Edit1KeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 ShockwaveFlashEx1.SetVariable('PC1.Hint1.Nome', StringToOleStr(Edit1.Text));
end;

procedure TForm1.Edit2KeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 ShockwaveFlashEx1.SetVariable('PC2.Hint2.Nome', StringToOleStr(Edit7.Text));
end;

procedure TForm1.Edit3KeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 ShockwaveFlashEx1.SetVariable('PC3.Hint3.Nome', StringToOleStr(Edit3.Text));
end;

procedure TForm1.ColorComboBox9Change(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('CorSPC1', IntToStr(ColorComboBox9.ColorValue));
end;

procedure TForm1.ColorComboBox1Change(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('CorSPC2', IntToStr(ColorComboBox1.ColorValue));
end;

procedure TForm1.ColorComboBox11Change(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('CorSPC3', IntToStr(ColorComboBox11.ColorValue));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('PC1._x', StringToOleStr(Edit10.Text));
 ShockwaveFlashEx1.SetVariable('PC1._y', StringToOleStr(Edit9.Text));
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('PC2._x', StringToOleStr(Edit11.Text));
 ShockwaveFlashEx1.SetVariable('PC2._y', StringToOleStr(Edit12.Text));
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 ShockwaveFlashEx1.SetVariable('PC3._x', StringToOleStr(Edit2.Text));
 ShockwaveFlashEx1.SetVariable('PC3._y', StringToOleStr(Edit8.Text));
end;

procedure TForm1.CheckBox18Click(Sender: TObject);
begin
 if CheckBox18.Checked then
  begin
   ShockwaveFlashEx1.SetVariable('PC1.Hint1.Nome', StringToOleStr(Edit1.Text));
   ShockwaveFlashEx1.SetVariable('PC1.Hint1.Data', TimeToStr(Now));
   ShockwaveFlashEx1.SetVariable('PC1._visible', StringToOleStr('1'))
  end
 else
  ShockwaveFlashEx1.SetVariable('PC1._visible', StringToOleStr('0'));
end;

procedure TForm1.CheckBox19Click(Sender: TObject);
begin
 if CheckBox19.Checked then
  begin
   ShockwaveFlashEx1.SetVariable('PC2.Hint2.Nome', StringToOleStr(Edit7.Text));
   ShockwaveFlashEx1.SetVariable('PC2.Hint2.Data', TimeToStr(Now));
   ShockwaveFlashEx1.SetVariable('PC2._visible', StringToOleStr('1'))
  end
 else
  ShockwaveFlashEx1.SetVariable('PC2._visible', StringToOleStr('0'));
end;

procedure TForm1.CheckBox20Click(Sender: TObject);
begin
 if CheckBox20.Checked then
  begin
   ShockwaveFlashEx1.SetVariable('PC3.Hint3.Nome', StringToOleStr(Edit3.Text));
   ShockwaveFlashEx1.SetVariable('PC3.Hint3.Data', TimeToStr(Now));
   ShockwaveFlashEx1.SetVariable('PC3._visible', StringToOleStr('1'))
  end
 else
  ShockwaveFlashEx1.SetVariable('PC3._visible', StringToOleStr('0'));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 Edit4.Text :=  ShockwaveFlashEx1.GetVariable('PC1._x') + ' ' + ShockwaveFlashEx1.GetVariable('PC1._y');
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 Edit5.Text :=  ShockwaveFlashEx1.GetVariable('PC2._x') + ' ' + ShockwaveFlashEx1.GetVariable('PC2._y');;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
 Edit6.Text :=  ShockwaveFlashEx1.GetVariable('PC3._x') + ' ' + ShockwaveFlashEx1.GetVariable('PC3._y');;
end;

end.

